Subject: Ftp-WG: Re: receive "\n" as NOT obvious as send "\r\xFF"?

From: Pat LaVarre <[email-masked]>
Date: Tue, 15 Jan 2002 17:24:30 -0500

> > I must be missing something cultural ...
...
> > ... why ... would it not be Good for mlst-15 to
> > mention excessively liberal Ftp receivers
> > read \r\n in place of \n?
...
> [email-masked] 01/15/02 10:22AM
...
> ... a deliberate and conscious design decision
> to do something not specified in the docs,
> whereas the [other] are unconsciously forgetting
> to do something that _is_ specified in the docs.

Maybe slowly I progress, thank you.  Let me echo back
the distinction I hear you're making, you tell me how
wrong I got it?

rfc2640 [International Ftp] and mlst-14 [More Ftp]
merely emphasise what rfc854 [Telnet] said already:
write \r\0 when \r is meant, write \xFF\xFF when \xFF
is meant.

To mention explicitly that people read \r\n where \n
was written would be to mention new protocol. 
Precisely defining a new protocol in order to
discourage its use is ineffective, much like saying
"don't think of pink elephants" is ineffective.

So far so good?  Anything wrong?  Anything omitted?

Thanks in advance.    Pat LaVarre x4402

__________________________________________________
Do You Yahoo!?
Send FREE video emails in Yahoo! Mail!
http://promo.yahoo.com/videomail/